package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_GlobSpec_collectEdgeGlobs {
  protected GlobSet return_val;
  public GlobSet get_return_val() { return return_val; }
  public void set_return_val(GlobSet new_return_val) { return_val = new_return_val; }
  public __V_GlobSpec_collectEdgeGlobs() { super(); }
  public __V_GlobSpec_collectEdgeGlobs(GlobSet return_val) {
    super();
    set_return_val(return_val);
  }
  public void before(EdgeGlob host) {
      if (return_val == null) return_val = new GlobSet();
      return_val.addElement(host);
    }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    return_val.universal_trv0(_v_);
    universal_trv0_aft(_v_);
  }

}
